> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/alpine-skiing.md).

# Alpine Skiing

In case of Alpine Skiing the structure is organized into stages.

To retrieve details related to Alpine skiing events, it is necessary to start with retrieving the sport id in the "All sport" end point.

```xml
<sport id="sr:sport:43" name="Alpine Skiing"/>
```

Once we have the id of the sport we can use it in the  end point "All available tournament for a sport" filtering by using sport id=43 and we can get the following:

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <sport_tournaments xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2021-10-06T11:53:31+00:00" 
xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified http://schemas.sportradar.com/ufsportsapi/v1/endpoints/unified/ufsportsapi.xsd">
    <sport id="sr:sport:43" name="Alpine Skiing"/>
    <tournaments>
      <tournament id="sr:stage:609873" name="Ski Alpine 2020/21" scheduled="2020-10-18T08:00:00+00:00" scheduled_end="2021-03-21T13:55:00+00:00">
        <sport id="sr:sport:43" name="Alpine Skiing"/>
        <category id="sr:category:118" name="Alpine"/>
      </tournament>
      <tournament id="sr:stage:609887" name="Ski Alpine 2020/21" scheduled="2020-10-17T08:00:00+00:00" scheduled_end="2021-03-21T13:55:00+00:00">
        <sport id="sr:sport:43" name="Alpine Skiing"/>
        <category id="sr:category:119" name="Alpine Women"/>
      </tournament>
      <tournament id="sr:stage:645682" name="World Championships 2021" scheduled="2021-02-09T12:00:00+00:00" scheduled_end="2021-02-21T13:40:00+00:00">
        <sport id="sr:sport:43" name="Alpine Skiing"/>
        <category id="sr:category:118" name="Alpine"/>
      </tournament>
      <tournament id="sr:stage:645698" name="World Championships 2021" scheduled="2021-02-08T10:00:00+00:00" scheduled_end="2021-02-20T13:40:00+00:00">
        <sport id="sr:sport:43" name="Alpine Skiing"/>
        <category id="sr:category:119" name="Alpine Women"/>
      </tournament>
      <tournament id="sr:stage:714222" name="Ski Alpine 2021/22" scheduled="2021-10-24T00:00:00+00:00" scheduled_end="2022-03-20T23:55:00+00:00">
        <sport id="sr:sport:43" name="Alpine Skiing"/>
        <category id="sr:category:118" name="Alpine"/>
      </tournament>
      <tournament id="sr:stage:714430" name="Ski Alpine 2021/22" scheduled="2021-10-23T00:00:00+00:00" scheduled_end="2022-03-20T23:55:00+00:00">
        <sport id="sr:sport:43" name="Alpine Skiing"/>
        <category id="sr:category:119" name="Alpine Women"/>
      </tournament>
    </tournaments>
  </sport_tournaments>

```

In the answer of the end point all the competitions under Alpine Skiing are listed and they are stages.

In this case, the structure is less complex than in case of Formula 1 as there is just one level of parenting.

If we use the fixture end point for one of the stages, we obtain the following with the schedule of the event:

```xml
<?xml version="1.0" encoding="UTF-8"?>
  <race_schedule xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2021-10-06T15:10:06+00:00" xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified http://schemas.sportradar.com/bsa/unified/v1/xml/endpoints/unified/race_schedule.xsd">
    <tournament id="sr:stage:645682" scheduled="2021-02-09T12:00:00+00:00" scheduled_end="2021-02-21T13:40:00+00:00" name="World Championships 2021">
      <sport id="sr:sport:43" name="Alpine Skiing"/>
      <category id="sr:category:118" name="Alpine"/>
    </tournament>
  </race_schedule>
```

It is important to keep in mind that the start date and the end dates reported in the end point for the event are not the best choice for outrights.\
Dates for outrights are reported in the AMQP message sent together with the outrights.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/alpine-skiing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
